Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227415 - CVE-2007-0657 - vulnerability in Nexuiz 2.2.2
Summary: CVE-2007-0657 - vulnerability in Nexuiz 2.2.2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nexuiz
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 21:06 UTC by David Eisenstein
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 15:57:47 UTC


Attachments (Terms of Use)

Description David Eisenstein 2007-02-05 21:06:17 UTC
According to http://www.alientrap.org/devwiki/index.php?n=Nexuiz.Patch,
Nexuiz 2.2.3 fixes a remote file read/write security hole:  "fix severe remote
file read/overwrite security hole in 'gamedir' command (2.2.1 was NOT affected
as the command was new in 2.2.2)."  It is CVE-2007-0657.

Although it claims 2.2.1 (the current Fedora Extras release) is not affected, we
may want to upgrade anyway?

Comment 1 Ville Skyttä 2007-02-05 21:47:26 UTC
We discussed this a few days ago in PM with Adrian, and he said he'd take a look
at bumping to 2.2.3 sometime, 2.2.2 will not be shipped.

Given the above plan and non-affectedness of 2.2.1, this CVE is already marked
as "ignore" in the CVS audit files -> removing security keyword and list from Cc.

Comment 2 Hans de Goede 2007-03-01 08:25:10 UTC
Notice that there are also these 2 CVE's against nexuiz:

  [ 1 ] CVE-2006-6609
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6609
  [ 2 ] CVE-2006-6610
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-6610

Both of which (according to the gentoo advisory) are fixed in 2.2.2, thus we
should upgrade to either 2.2.2 or 2.2.3 ASAP.




Comment 3 Adrian Reber 2007-03-01 10:39:44 UTC
Both CVE's (6609 and 6610) are fixed with 2.2.1.

Comment 4 Adrian Reber 2007-03-04 15:57:47 UTC
released 2.2.3 for FC-5, FC-6 and devel


Note You need to log in before you can comment on or make changes to this bug.